Arch Equipment/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 1: Line 1:


{{GuiCommand/it|Name=Arch Equipment|Name/it=Arredo|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Arredo|Shortcut=E Q}}
{{GuiCommand/it|Name=Arch Equipment|Name/it=Arredo|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Arredo|Shortcut=E Q|SeeAlso=[[Arch_3Views/it|3 viste da mesh]]}}


==Descrizione==
==Descrizione==


The Equipment tool offers you a simple and convenient way to insert non-structural, standalone elements such as pieces of furniture, hidro-sanitary equipments or electrical appliances to your projects. Equipments are based on [[Part Module|Part shapes]], which allow them to benefit from the solidity and possibilities of BRep geometry, and generate nice views when rendered to plan and section views.
Lo strumento Arredo offre un modo semplice e comodo per inserire nei progetti degli elementi autonomi non strutturali come ad esempio i mobili, le attrezzature idrosanitarie o gli apparecchi elettrici. Gli Arredi possono essere basati su una forma o su una mesh, e permette di utilizzare sia dei modelli di solidi precisi o più facilmente dei modelli di oggetti mesh reperibili su internet.


[[Image:Arch equipment example.jpg]]
[[Image:Arch equipment example.jpg]]
Line 16: Line 16:
== Utilizzo ==
== Utilizzo ==


# Selezionare una forma [[Part Workbench/it|Part]] o un oggetto [[Mesh Workbench/it|Mesh]]
# Select a [[Part Workbench|Part]] shape, and optionally a [[Mesh Workbench|Mesh]] object
# Premere il pulsante {{KEY|[[Image:Arch Equipment.png|16px]] [[Arch Equipment/it|Arredo]]}}, o premere i tasti {{KEY|E}} poi {{KEY|Q}}
# Press the {{KEY|[[Image:Arch Equipment.png|16px]] [[Arch Equipment]]}} button, or press {{KEY|E}} then {{KEY|Q}} keys


== Proprietà ==
== Proprietà ==


* {{PropertyData|Model}}: Una descrizione del modello di questo arredo.
* {{PropertyData|Model}}: A description of the model of this equipment.
* {{PropertyData|Url}}: Un URL della pagina del prodotto dove si possono trovare maggiori informazioni su questo arredo.
* {{PropertyData|Url}}: An URL of the product page where more information about this equipment can be found.
* {{PropertyData|Mesh}}: A [[Mesh Workbench|Mesh]] representation to use for this equipment. When set, the '''Mesh''' display mode becomes available.


== Script ==
== Script ==

Revision as of 16:26, 2 February 2017

Arredo

Posizione nel menu
Arch → Arredo
Ambiente
Arch
Avvio veloce
E Q
Introdotto nella versione
-
Vedere anche
3 viste da mesh

Descrizione

The Equipment tool offers you a simple and convenient way to insert non-structural, standalone elements such as pieces of furniture, hidro-sanitary equipments or electrical appliances to your projects. Equipments are based on Part shapes, which allow them to benefit from the solidity and possibilities of BRep geometry, and generate nice views when rendered to plan and section views.

As of version 0.17, equipment objects also have a Mesh property where a Mesh object can be attached. Equipment objects can then be made to display that mesh in the 3D view instead of their shape, which allows to use any high-resolution mesh objects such as detailed pieces of furniture commonly found on websites.

When using the Arch OBJ exporter, all equipments that are in Mesh display mode will be exported as their mesh instead of their shape.

Utilizzo

  1. Select a Part shape, and optionally a Mesh object
  2. Press the Arch Equipment button, or press E then Q keys

Proprietà

  • DatiModel: A description of the model of this equipment.
  • DatiUrl: An URL of the product page where more information about this equipment can be found.
  • DatiMesh: A Mesh representation to use for this equipment. When set, the Mesh display mode becomes available.

Script

Lo strumento Arredo può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

makeEquipment ( baseObject )
  • Crea un oggetto arredo da un oggetto di base (Mesh o Part)
  • Restituisce il nuovo oggetto arredo, o nulla se l'operazione fallisce.

Esempio:

import Part, Arch
box = Part.makeBox(2,2,2)
base = FreeCAD.ActiveDocument.addObject("Part::Feature","Box")
base.Shape = box
Arch.makeEquipment(base)